using System;
using System.Linq;
using System.Threading;

using FilterAPI.Networking;

using FilterManager.LocalNetworking;

using FilterManager.ManagerNetworking;

namespace FilterManager.LocalHandlers
{
    internal class Local3Handle
    {
        [LocalPacketHandler(3, 3)]
        public static void HandleTransferKey(LocalClient ClientSocket, Packet ClientPacket)
        {
            Int32 nUserNo = ClientPacket.PacketReader.ReadInt32();
            String TransferKey = ClientPacket.PacketReader.ReadString();

            Program.GrabednUserNos.Add(TransferKey, nUserNo);
        }
    }
}
